@import '~@guildion/next/styles/component.module.scss';

.container {
  width: 100%;
  height: 100%;
  background-color: var(--background-subm2);
  position: relative;
}

.aside {
  width: 100%;
  height: 100%;
  position: relative;
  z-index: 1;
  flex: 1 1;
  &-inner {
    max-width: 1280px;
    width: 100%;
    height: 100%;
    margin: 0 auto;
    display: grid;
    grid-gap: 40px;
    grid-template-areas: "summary content side";
    grid-template-columns: 250px 700px 250px;
    grid-template-rows: auto;
    @include mq-down(xl) {
      display: block;
      width: calc(100% - 40px);
    }
    @include mq-down(fm) {
    }
  }
}

.summary {
  position: relative;
  width: auto;
  height: 100%;
  grid-area: summary;
  @include mq-down(xl) {
    display: none;
  }
  &-inner {
    position: sticky;
    top: 120px;
    @include mq-down(xxl) {
      top: 88px;
    }
  }
  &-sections {
    padding: 0;
    margin: 0;
    list-style: none;
    width: 100%;
    height: 100%;
  }
  &-section {
    width: 100%;
    padding-bottom: 20px;
    font-size: 14px;
    text-align: left;
    font-family: var(--default-font-family);
    color: var(--element-default);
    &#active {
      color: var(--element-link);
    }
    & a {
      @include make-transition;
      &:hover {
        @include make-transition;
        opacity: .7;
      }
    }
  }
}

.contents {
  width: auto;
  height: 100%;
  position: relative;
  grid-area: content;
  &-inner {
    width: 100%;
    height: 100%;
    position: relative;
  }
  &-header {
    width: 100%;
    padding: 36px 0;
    &_timestamp {
      width: 100%;
      font-size: 16px;
      font-family: var(--default-font-family);
      color: var(--element-subp1);
      text-align: center;
      padding-bottom: 20px;
    }
    &_title {
      width: 100%;
      font-size: 44px;
      font-family: var(--default-font-family);
      color: var(--element-default);
      text-align: left;
      font-weight: bold;
      @include mq-down(fm) {
        font-size: 32px;
      }
    }
    &_thumbnail {
      width: 100%;
      height: auto;
      margin: 44px auto;
      display: block;
      position: relative;
      @include mq-down(fm) {
        margin: 32px auto;
      }
    }
  }
  &-summary {
    position: relative;
    width: auto;
    height: 100%;
    grid-area: summary;
    display: none;
    @include mq-down(xl) {
      display: block;
      background-color: var(--background-root);
      padding: 40px;
    }
    @include mq-down(fm) {
      padding: 28px;
    }
    &-inner {
      position: sticky;
      top: 120px;
      @include mq-down(xxl) {
        top: 88px;
      }
    }
    &-sections {
      padding: 0;
      margin: 0;
      list-style: disc;
      width: 100%;
      height: 100%;
    }
    &-title {
      font-size: 24px;
      font-family: var(--default-font-family);
      color: var(--element-default);
      text-align: left;
      font-weight: bold;
      padding-bottom: 20px;
      width: 100%;
      @include mq-down(fm) {
        font-size: 18px;
        padding-bottom: 8px;
      }
    }
    &-section {
      padding: 20px 0;
      margin-left: 20px;
      font-size: 16px;
      text-align: left;
      font-family: var(--default-font-family);
      color: var(--element-default);
      &#active {
        color: var(--element-link);
      }
      @include mq-down(fm) {
        font-size: 14px;
        padding: 10px 0;
      }
      & a {
        @include make-transition;
        &:hover {
          @include make-transition;
          opacity: .7;
        }
      }
    }
  }
  &-profile {
    position: relative;
    width: auto;
    height: 100%;
    display: none;
    @include mq-down(xl) {
      display: block;
      margin: 20px auto;
      padding: 20px;
      padding-top: 32px;
      background-color: var(--background-root);
    }
  }
}

.side {
  position: relative;
  width: auto;
  height: 100%;
  grid-area: side;
  @include mq-down(xl) {
    display: none;
  }
  &-inner {
    position: sticky;
    top: 120px;
    @include mq-down(xxl) {
      top: 88px;
    }
  }
}
